CATOPEN(3) | Library Functions Manual | CATOPEN(3)

# NAME

`catopen` —
open message catalog

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

`#include <nl_types.h>`

nl_catd
`catopen`(const char *name, int oflag);

# DESCRIPTION

The `catopen`() function opens the message catalog specified by name and returns a message catalog descriptor. If name contains a ‘/’ then name specifies the full pathname for the message catalog, otherwise the value of the environment variable `NLSPATH` is used with name substituted for %N.

The oflag argument is reserved for future use and should be set to zero.

# RETURN VALUES

Upon successful completion, `catopen`() returns a message catalog descriptor. Otherwise, (nl_catd) -1 is returned and errno is set to indicate the error.

# ERRORS

[`ENOMEM`]
  Insufficient memory is available.

# SEE ALSO

gencat(1), catclose(3), catgets(3), nls(7)

# STANDARDS

The `catopen`() function conforms to X/Open Portability Guide Issue 3 (“XPG3”).

May 29, 1994 | NetBSD 9.5